
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<link rel="shortcut icon" type="image/x-icon" href="style/favicon.ico"/>
<link href="style/style.css" rel="stylesheet" type="text/css" />
<link href="style/bootstrap.min.css" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="js/jquery.min.js"></script>
<script type="text/javascript" src="js/bootstrap.min.js"></script>
<script type="text/javascript" src="js/gatling.js"></script>
<script type="text/javascript" src="js/moment.min.js"></script>
<script type="text/javascript" src="js/menu.js"></script>
<script type="text/javascript" src="js/all_sessions.js"></script>
<script type="text/javascript" src="js/stats.js"></script>
<script type="text/javascript" src="js/highstock.js"></script>
<script type="text/javascript" src="js/highcharts-more.js"></script>
<script type="text/javascript" src="js/theme.js"></script>
<script type="text/javascript" src="js/unpack.js"></script>
<title>Gatling Stats - Global Information</title>
</head>
<body>
<div class="frise"></div>
<div class="container details">
    <div class="head">
        <a class="logo" href="https://gatling.io" target="blank_" title="Gatling Home Page"><img alt="Gatling" src="style/logo.png"/></a>
        <div><a href="https://gatling.io/gatling-frontline/?report" target="_blank">Get more features with Gatling FrontLine</a></div>
    </div>
    <div class="main">
        <div class="cadre">
                <div class="onglet">
                    <img src="style/cible.png" />
                    <p><span>performancetest</span></p>
                </div>
                <div class="content">
                    <div class="sous-menu">
                        <div class="item ouvert"><a href="index.html">GLOBAL</a></div>
                        <div class="item "><a id="details_link" href="#">DETAILS</a></div>
                        <script type="text/javascript">
                          var timestamp = 1616162080713;
                          var runStartHumanDate = moment(timestamp).format("YYYY-MM-DD HH:mm:ss Z");
                          document.writeln("<p class='sim_desc' title='"+ runStartHumanDate +", duration : 57 seconds' data-content='| Performance test suite.'>");
                          document.writeln("<b>" + runStartHumanDate + ", duration : 57 seconds | Performance test suite.</b>");
                          document.writeln("</p>");
                        </script>
                    </div>
                    <div class="content-in">
                        <h1><span>> </span>Global Information</h1>
                        <div class="article">
                            
            <div class="schema polar">
              <div id="container_number_of_requests"></div>
            </div>

            <div class="schema demi">
              <div id="container_indicators" class="demi"></div>
            </div>

                        <div class="statistics extensible-geant collapsed">
                            <div class="title">
                                <div class="right">
                                    <span class="expand-all-button">Expand all groups</span> | <span class="collapse-all-button">Collapse all groups</span>
                                </div>
                                <div id="statistics_title" class="title_collapsed">STATISTICS <span>(Click here to show more)</span></div>
                            </div>
                            <table id="container_statistics_head" class="statistics-in extensible-geant">
                                <thead>
                                    <tr>
                                        <th rowspan="2" id="col-1" class="header sortable sorted-up"><span>Requests</span></th>
                                        <th colspan="5" class="header"><span class="executions">Executions</span></th>
                                        <th colspan="8" class="header"><span class="response-time">Response Time (ms)</span></th>
                                    </tr>
                                    <tr>
                                        <th id="col-2" class="header sortable"><span>Total</span></th>
                                        <th id="col-3" class="header sortable"><span>OK</span></th>
                                        <th id="col-4" class="header sortable"><span>KO</span></th>
                                        <th id="col-5" class="header sortable"><span>% KO</span></th>
                                        <th id="col-6" class="header sortable"><span>Req/s</span></th>
                                        <th id="col-7" class="header sortable"><span>Min</span></th>
<th id="col-8" class="header sortable"><span>50th pct</span></th>
<th id="col-9" class="header sortable"><span>75th pct</span></th>
<th id="col-10" class="header sortable"><span>95th pct</span></th>
<th id="col-11" class="header sortable"><span>99th pct</span></th>
<th id="col-12" class="header sortable"><span>Max</span></th>
<th id="col-13" class="header sortable"><span>Mean</span></th>
<th id="col-14" class="header sortable"><span>Std Dev</span></th>
                                    </tr>
                                </thead>
                                <tbody></tbody>
                            </table>
                            <div class="scrollable">
                                <table id="container_statistics_body" class="statistics-in extensible-geant">
                                    <tbody></tbody>
                                </table>
                            </div>
                        </div>

            <div class="schema geant">
              <a name="active_users"></a>
              <div id="container_active_users" class="geant"></div>
            </div>

            <div class="schema geant">
              <div id="container_distrib" class="geant"></div>
            </div>

            <div class="schema geant">
              <div id="container" class="geant"></div>
            </div>

            <div class="schema geant">
              <a name="requests"></a>
                <div id="container_requests" class="geant"></div>
            </div>

            <div class="schema geant">
              <a name="responses"></a>
                <div id="container_responses" class="geant"></div>
            </div>

                        </div>
                    </div>
                </div>
        </div>
    </div>
    <div class="nav">
        <ul></ul>
    </div>
</div>
<div class="foot">
    <a href="https://gatling.io" title="Gatling Home Page"><img alt="Gatling" src="style/logo-gatling.jpg"/></a>
</div>
<script type="text/javascript">
    var pageStats = stats.stats;
    $(document).ready(function() {
        $('.sim_desc').popover({trigger:'hover', placement:'bottom'});
        setDetailsLinkUrl();
        setGlobalMenu();
        setActiveMenu();
        fillStats(pageStats);
        
function numberOfRequestsDataForGroup(group) {
  var data = {names: [], oks: [], kos: []};

  $.each(group.contents, function(contentName, content) {
    if (content.type == 'GROUP') {
      var result = numberOfRequestsDataForGroup(content);
      data.names = data.names.concat(result.names);
      data.oks = data.oks.concat(result.oks);
      data.kos = data.kos.concat(result.kos);
    }
    else if (content.type == 'REQUEST') {
      data.names.push(content.path);
      data.oks.push(parseInt(content.stats.numberOfRequests.ok));
      data.kos.push(parseInt(content.stats.numberOfRequests.ko));
    }
  });

  return data;
}

var numberOfRequestsData = numberOfRequestsDataForGroup(stats);

new Highcharts.Chart({
  chart: {
    renderTo:'container_number_of_requests',
    polar:true,
    type:'column',
    height:330
  },
  credits:{
    enabled:false
  },
  title:{
    text:'<span class="chart_title">Number of requests</span>',
    useHTML: true
  },
  xAxis:{
    tickmarkPlacement:'on',
    tickInterval: 1,
    categories:numberOfRequestsData.names,
    labels:{ enabled:false }
  },
  yAxis:{
    min:0
  },
  plotOptions:{
    series:{
      stacking:'normal',
      groupPadding:0,
      pointPlacement:'on',
      shadow: true
    }
  },
  legend: {
    	borderWidth: 0.5,
      borderRadius: 3,
      borderColor: 'black',
      itemStyle: { fontWeight: "normal" }
  },
  series:[
    {
      name:'KO',
      data:numberOfRequestsData.kos,
      color:"#FF0000"
    },
    {
      name:'OK',
      data:numberOfRequestsData.oks,
      color:"#4572A7"
    }
  ]
});

Highcharts.setOptions({
  global: { useUTC: false }
});

var indicatorsChart = new Highcharts.Chart({
  chart: {
    renderTo: 'container_indicators',
    marginRight: 150
  },
  credits: { enabled: false },
  legend: { enabled: false },
  title: { text: 'A title to let highcharts reserve the place for the title set later' },
  xAxis: {
    categories: [
      pageStats.group1.name,
      pageStats.group2.name,
      pageStats.group3.name,
      pageStats.group4.name
    ]
  },
  yAxis: {
    title: { text: 'Number of Requests' }
  },
  tooltip: {
    formatter: function() {
      var s;
      if (this.point.name) { // the pie chart
        s = ''+ this.point.name +': '+ this.y +'% requests';
      } else {
        s = ''+ this.y + ' requests';
      }
      return s;
    }
  },
  plotOptions: {
    series: {
      stacking: 'normal',
      shadow: true
    }
  },
  series: [
    {
      type: 'column',
      data: [{
      	color: '#A0B228',
      	y: pageStats.group1.count
      },
      {
      	color: '#FFDD00',
      	y: pageStats.group2.count
      },
      {
      	color: '#FF9D00',
      	y: pageStats.group3.count
      },
      {
      	color: '#FF0000',
      	y: pageStats.group4.count
      }]
    },
    {
      type: 'pie',
      name: 'Percentages',
      data: [
        {
          name: pageStats.group1.name,
          y: pageStats.group1.percentage,
          color: '#A0B228'
        },
        {
          name: pageStats.group2.name,
          y: pageStats.group2.percentage,
          color: '#FFDD00'
        },
        {
          name: pageStats.group3.name,
          y: pageStats.group3.percentage,
          color: '#FF9D00'
        },
        {
          name: pageStats.group4.name,
          y: pageStats.group4.percentage,
          color: '#FF0000'
        }
      ],
      center: [470, 85],
      size: 100,
      showInLegend: false,
      dataLabels: { enabled: false }
    }
  ]
});

indicatorsChart.setTitle({
  text: '<span class="chart_title">Indicators</span>',
  useHTML: true
});

	    $('#container_exceptions').sortable('#container_exceptions');
    

  function shortenNameAndDisplayFullOnHover(name){
   if (name.length < 20)
       return name;
   else
     return "<span class='tooltipContent'>"+name+"</span>" + name.substr(0,8)+"..."+name.substr(name.length-8,name.length);
  }

function generateHtmlRow(request, level, index, parent, group) {
    if (request.name == 'Global Information')
        var url = 'index.html';
    else
        var url = request.pathFormatted + '.html';

    if (group)
        var expandButtonStyle = '';
    else
        var expandButtonStyle = ' hidden';

    if (request.stats.numberOfRequests.total != 0)
        var koPercent = (request.stats.numberOfRequests.ko * 100 / request.stats.numberOfRequests.total).toFixed(0) + '%';
    else
        var koPercent = '-'

    return '<tr id="' + request.pathFormatted + '" class="child-of-' + parent + '"> \
        <td class="total col-1"> \
            <span id="' + request.pathFormatted + '" style="margin-left: ' + (level * 10) + 'px;" class="expand-button' + expandButtonStyle + '">&nbsp;</span> \
            <a href="' + url +'" class="withTooltip">' + shortenNameAndDisplayFullOnHover(request.name) + '</a><span class="value" style="display:none;">' + index + '</span> \
        </td> \
        <td class="value total col-2">' + request.stats.numberOfRequests.total + '</td> \
        <td class="value ok col-3">' + request.stats.numberOfRequests.ok + '</td> \
        <td class="value ko col-4">' + request.stats.numberOfRequests.ko + '</td> \
        <td class="value ko col-5">' + koPercent + '</td> \
        <td class="value total col-6">' + request.stats.meanNumberOfRequestsPerSecond.total + '</td> \
        <td class="value total col-7">' + request.stats.minResponseTime.total + '</td> \
        <td class="value total col-8">' + request.stats.percentiles1.total + '</td> \
        <td class="value total col-9">' + request.stats.percentiles2.total + '</td> \
        <td class="value total col-10">' + request.stats.percentiles3.total + '</td> \
        <td class="value total col-11">' + request.stats.percentiles4.total + '</td> \
        <td class="value total col-12">' + request.stats.maxResponseTime.total + '</td> \
        <td class="value total col-13">' + request.stats.meanResponseTime.total + '</td> \
        <td class="value total col-14">' + request.stats.standardDeviation.total + '</td> \
        </tr>';
}

function generateHtmlRowsForGroup(group, level, index, parent) {
    var buffer = '';

    if (!parent)
        parent = 'ROOT';
    else {
        buffer += generateHtmlRow(group, level - 1, index, parent, true);
        index++;
        parent = group.pathFormatted;
    }

    $.each(group.contents, function(contentName, content) {
        if (content.type == 'GROUP') {
            var result = generateHtmlRowsForGroup(content, level + 1, index, parent);
            buffer += result.html;
            index = result.index;
        }
        else if (content.type == 'REQUEST') {
            buffer += generateHtmlRow(content, level, index, parent);
            index++;
        }
    });

    return { html: buffer, index: index };
}

$('#container_statistics_head tbody').append(generateHtmlRow(stats, 0, 0));

var lines = generateHtmlRowsForGroup(stats, 0, 0)
$('#container_statistics_body tbody').append(lines.html);

$('#container_statistics_head').sortable('#container_statistics_body');
$('.statistics').expandable();

if (lines.index < 30) {
    $('#statistics_title span').attr('style', 'display: none;');
    $('#statistics_title').attr('style', 'cursor: auto;')
}
else {
    $('#statistics_title').click(function(){
        $(this).toggleClass('title_collapsed').toggleClass('title_not_collapsed');
        $('#container_statistics_body').parent().toggleClass('scrollable').toggleClass('');
    });
}

	    $('#container_errors').sortable('#container_errors');
    
allUsersData.yAxis = 0;

var allUsersChart = new Highcharts.StockChart({
  chart: {
    renderTo: 'container_active_users',
    zoomType: 'x'
  },
  credits: { enabled: false },
  legend: {
    enabled: true,
    floating: true,
    align: 'right',
    verticalAlign: 'top',
    layout: 'vertical',
    borderWidth: 0,
    itemStyle: { fontWeight: "normal" }
  },
  title: { text: 'A title to let highcharts reserve the place for the title set later' },
  rangeSelector: {
    buttonSpacing: 0,
    buttonTheme: {
      fill: 'LightGrey',
      padding: 1,
      stroke: 'Black',
      'stroke-width': 0.25,
      style: {
        color: 'Black',
        fontWeight: 'bold',
      },
      states: {
        stroke: 'Black',
        'stroke-width': 0.25,
        hover: {
          fill: 'DarkGrey',
          style: { color: 'black' }
        },
        select: {
          fill: 'DarkOrange',
          style: { color: 'white' }
        }
      }
    },
    buttons : [
      {
        type : 'minute',
        count : 1,
        text : '1m'
      }, {
        type : 'minute',
        count : 10,
        text : '10m'
      }, {
        type : 'hour',
        count : 1,
        text : '1h'
      }, {
        type : 'all',
        count : 1,
        text : 'All'
      }
    ],
    selected : 3,
    inputEnabled : false
  },
  xAxis: {
    type: 'datetime',
    ordinal: false,
    maxZoom: 10000 // three days
  },
  yAxis: {
    title: { text: 'Number of Active Users' },
    opposite: false,
    min: 0
  },
  series: [
    {
color: '#4572A7',
name: 'Performance simulation',
data: [
  [1616162085000,3],[1616162086000,2],[1616162087000,1],[1616162088000,2],[1616162089000,1],[1616162090000,3],[1616162091000,4],[1616162092000,4],[1616162093000,4],[1616162094000,5],[1616162095000,4],[1616162096000,4],[1616162097000,4],[1616162098000,5],[1616162099000,4],[1616162100000,4],[1616162101000,3],[1616162102000,2],[1616162103000,4],[1616162104000,5],[1616162105000,3],[1616162106000,5],[1616162107000,3],[1616162108000,3],[1616162109000,2],[1616162110000,6],[1616162111000,7],[1616162112000,8],[1616162113000,9],[1616162114000,10],[1616162115000,10],[1616162116000,11],[1616162117000,13],[1616162118000,14],[1616162119000,15],[1616162120000,8],[1616162121000,8],[1616162122000,11],[1616162123000,14],[1616162124000,19],[1616162125000,24],[1616162126000,21],[1616162127000,23],[1616162128000,22],[1616162129000,27],[1616162130000,12],[1616162131000,0],[1616162132000,1],[1616162133000,0],[1616162134000,1],[1616162135000,1],[1616162136000,1],[1616162137000,1],[1616162138000,1]
],
tooltip: { yDecimals: 0, ySuffix: '', valueDecimals: 0 }},

    allUsersData
  ]
});


allUsersChart.setTitle({
  text: '<span class="chart_title">Active Users along the Simulation</span>',
  useHTML: true
});

allUsersData.yAxis = 1;

var responseTimeDistributionChart = new Highcharts.Chart({
  chart: {
    renderTo: 'container_distrib',
    type: 'column'
  },
  credits: {
    enabled: false
  },
  legend: {
    enabled: true,
    floating: true,
    y: -285,
    borderWidth: 0,
    itemStyle: {
      fontWeight: "normal"
    }
  },
  title: {
    text: 'A title to let highcharts reserve the place for the title set later'
  },
  xAxis: {
    categories: ['324', '331', '337', '343', '350', '356', '362', '369', '375', '382', '388', '394', '401', '407', '413', '420', '426', '432', '439', '445', '452', '458', '464', '471', '477', '483', '490', '496', '503', '509', '515', '522', '528', '534', '541', '547', '554', '560', '566', '573', '579', '585', '592', '598', '604', '611', '617', '624', '630', '636', '643', '649', '655', '662', '668', '675', '681', '687', '694', '700', '706', '713', '719', '725', '732', '738', '745', '751', '757', '764', '770', '776', '783', '789', '796', '802', '808', '815', '821', '827', '834', '840', '847', '853', '859', '866', '872', '878', '885', '891', '897', '904', '910', '917', '923', '929', '936', '942', '948', '955'],
    tickInterval: 20
  },
  yAxis: {
    min: 0,
    title: {
      text: 'Percentage of Requests'
    }
  },
  tooltip: {
    formatter: function() {
      return '<b>'+ this.x +' ms</b><br/>'+
      this.series.name +': '+ this.y +' %<br/>'+
      'Total: '+ this.point.stackTotal + ' %';
    }
  },
  plotOptions: {
    series: {
      groupPadding: 0,
      stacking: 'normal',
      shadow: true
    }
  },
  series: [
  	{
type: 'column',
color: '#4572A7',
name: 'OK',
data: [
  1.58,0.39,0.0,0.39,0.79,1.19,0.79,0.0,0.39,0.79,0.79,1.19,1.19,3.17,1.58,0.0,3.17,0.39,0.39,1.58,0.79,0.39,2.38,0.39,1.19,0.39,1.98,3.57,0.79,1.19,1.98,1.58,1.98,0.79,0.79,1.58,2.77,5.15,5.15,3.96,3.17,4.36,2.77,4.36,3.96,3.96,0.79,1.98,2.38,1.58,1.58,0.39,0.79,1.19,0.39,0.39,0.0,0.79,0.0,0.39,0.0,0.0,0.0,0.0,0.39,0.39,0.39,0.39,0.0,0.0,0.39,0.39,0.0,0.0,0.39,0.0,0.39,0.39,0.39,0.0,0.0,0.39,0.0,0.0,0.39,0.0,0.0,0.39,0.0,0.0,0.0,0.0,0.0,0.0,0.39,0.0,0.0,0.0,0.0,0.39
],
tooltip: { yDecimals: 0, ySuffix: 'ms' }
},
  	{
type: 'column',
color: '#FF0000',
name: 'KO',
data: [
  0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0
],
tooltip: { yDecimals: 0, ySuffix: 'ms' }
}
  ]
});

responseTimeDistributionChart.setTitle({
  text: '<span class="chart_title">Response Time Distribution</span>',
  useHTML: true
});

var responseTimePercentiles = unpack([[1616162085,[512,533,554,560,561,562,563,564,565,566]],[1616162086,[545,545,545,545,545,545,545,545,545,545]],[1616162087,[493,493,493,493,493,493,493,493,493,493]],[1616162088,[521,521,521,521,521,521,521,521,521,521]],[1616162089,[495,495,495,495,495,495,495,495,495,495]],[1616162090,[501,510,519,528,529,531,533,535,536,537]],[1616162091,[489,493,497,497,497,497,497,497,497,498]],[1616162092,[515,516,518,541,546,550,555,560,564,565]],[1616162093,[324,355,387,442,453,464,475,486,494,497]],[1616162094,[500,509,519,522,523,523,524,525,525,526]],[1616162095,[345,421,498,513,516,519,522,525,528,529]],[1616162096,[492,508,525,556,562,569,575,581,586,588]],[1616162097,[323,405,487,501,504,507,510,513,515,516]],[1616162098,[495,502,510,515,516,517,518,519,519,520]],[1616162099,[348,414,481,488,490,491,493,494,495,496]],[1616162100,[488,495,502,509,511,512,514,515,516,517]],[1616162101,[324,330,340,351,352,353,355,356,357,358]],[1616162102,[523,524,525,526,527,527,527,527,527,528]],[1616162103,null],[1616162104,[399,520,535,554,559,563,567,571,574,575]],[1616162105,[443,478,513,548,555,562,569,576,582,584]],[1616162106,[361,434,508,520,522,524,527,529,531,532]],[1616162107,[363,366,370,373,374,374,375,376,376,377]],[1616162108,[321,337,353,355,356,356,357,357,357,358]],[1616162109,null],[1616162110,[559,564,585,614,620,626,632,638,643,645]],[1616162111,[546,561,577,604,604,605,605,606,606,607]],[1616162112,[562,619,638,647,650,653,656,659,661,662]],[1616162113,[559,593,601,606,610,614,618,622,626,627]],[1616162114,[565,575,592,596,596,597,599,600,601,602]],[1616162115,[389,553,570,575,576,579,587,594,600,602]],[1616162116,[407,562,582,595,600,604,607,609,611,612]],[1616162117,[408,563,574,601,605,609,611,611,611,612]],[1616162118,[478,625,628,644,657,670,733,845,935,958]],[1616162119,[412,446,568,572,580,588,607,635,658,664]],[1616162120,[381,437,579,596,597,600,603,606,608,609]],[1616162121,[465,546,582,593,594,594,595,596,596,597]],[1616162122,[379,408,423,427,452,477,503,528,548,554]],[1616162123,[403,410,559,585,591,593,595,597,598,599]],[1616162124,[394,449,572,601,603,606,609,630,650,656]],[1616162125,[402,453,566,597,600,606,616,630,634,636]],[1616162126,[404,433,559,575,579,583,589,603,615,618]],[1616162127,[443,549,616,749,803,829,848,864,874,877]],[1616162128,[413,440,559,586,596,606,617,628,636,639]],[1616162129,[433,633,688,746,750,767,796,811,899,921]],[1616162130,[427,488,566,590,598,606,615,624,632,634]],[1616162131,null],[1616162132,[408,408,408,408,408,408,408,408,408,408]],[1616162133,null],[1616162134,[578,578,578,578,578,578,578,578,578,578]],[1616162135,null],[1616162136,[814,814,814,814,814,814,814,814,814,814]],[1616162137,null],[1616162138,[613,613,613,613,613,613,613,613,613,613]]]);

var responseTimeChart = new Highcharts.StockChart({
  chart: {
    renderTo: 'container',
    zoomType: 'x'
  },
  colors: ['#C4FD90', '#7FF77F', '#6FF2AD', '#60ECE5', '#51A8E7', '#4353E2', '#7335DC', '#BC28D7', '#D11C97', '#C73905', 'Orange'],
  credits: { enabled: false },
  legend: {
    enabled: true,
    floating: true,
    y: -65,
    borderWidth: 0,
    itemStyle: { fontWeight: "normal" }
  },
  title: { text: 'A title to let highcharts reserve the place for the title set later' },
  navigator: { baseSeries: 9 },
  rangeSelector: {
    rangeSelector: { align: "left" },
    buttonSpacing: 0,
    buttonTheme: {
      fill: 'LightGrey',
      padding: 1,
      stroke: 'Black',
      'stroke-width': 0.25,
      style: {
        color: 'Black',
        fontWeight: 'bold',
      },
      states: {
        stroke: 'Black',
        'stroke-width': 0.25,
        hover: {
          fill: 'DarkGrey',
          style: { color: 'black' }
        },
        select: {
          fill: 'DarkOrange',
          style: { color: 'white' }
        }
      }
    },
    buttons : [
      {
        type : 'minute',
        count : 1,
        text : '1m'
      }, {
        type : 'minute',
        count : 10,
        text : '10m'
      }, {
        type : 'hour',
        count : 1,
        text : '1h'
      }, {
        type : 'all',
        count : 1,
        text : 'All'
      }
    ],
    selected : 3,
    inputEnabled : false
  },
  xAxis: {
    type: 'datetime',
    ordinal: false,
    maxZoom: 10000 // three days
  },
  yAxis:[
    {
      min: 0,
      title: {
        text: 'Response Time (ms)',
        style: { color: '#4572A7' }
      },
      opposite: false
    }, {
      min: 0,
      title: {
        text: 'Active Users',
        style: { color: '#FF9D00' }
      },
      opposite: true
    }
  ],
  plotOptions: {
    arearange: { lineWidth: 1 },
    series: {
      dataGrouping: { enabled: false }
    }
  },
  series: [
  
    
         {
pointInterval: 1000,
name: 'min',
data: responseTimePercentiles[0],
tooltip: { yDecimals: 0, ySuffix: 'ms' },
type : 'area',
yAxis: 0,
zIndex: 10
},
         {
pointInterval: 1000,
name: '25%',
data: responseTimePercentiles[1],
tooltip: { yDecimals: 0, ySuffix: 'ms' },
type : 'area',
yAxis: 0,
zIndex: 9
},
         {
pointInterval: 1000,
name: '50%',
data: responseTimePercentiles[2],
tooltip: { yDecimals: 0, ySuffix: 'ms' },
type : 'area',
yAxis: 0,
zIndex: 8
},
         {
pointInterval: 1000,
name: '75%',
data: responseTimePercentiles[3],
tooltip: { yDecimals: 0, ySuffix: 'ms' },
type : 'area',
yAxis: 0,
zIndex: 7
},
         {
pointInterval: 1000,
name: '80%',
data: responseTimePercentiles[4],
tooltip: { yDecimals: 0, ySuffix: 'ms' },
type : 'area',
yAxis: 0,
zIndex: 6
},
         {
pointInterval: 1000,
name: '85%',
data: responseTimePercentiles[5],
tooltip: { yDecimals: 0, ySuffix: 'ms' },
type : 'area',
yAxis: 0,
zIndex: 5
},
         {
pointInterval: 1000,
name: '90%',
data: responseTimePercentiles[6],
tooltip: { yDecimals: 0, ySuffix: 'ms' },
type : 'area',
yAxis: 0,
zIndex: 4
},
         {
pointInterval: 1000,
name: '95%',
data: responseTimePercentiles[7],
tooltip: { yDecimals: 0, ySuffix: 'ms' },
type : 'area',
yAxis: 0,
zIndex: 3
},
         {
pointInterval: 1000,
name: '99%',
data: responseTimePercentiles[8],
tooltip: { yDecimals: 0, ySuffix: 'ms' },
type : 'area',
yAxis: 0,
zIndex: 2
},
         {
pointInterval: 1000,
name: 'max',
data: responseTimePercentiles[9],
tooltip: { yDecimals: 0, ySuffix: 'ms' },
type : 'area',
yAxis: 0,
zIndex: 1
},
  allUsersData
  ]
});

responseTimeChart.setTitle({
  text: '<span class="chart_title chart_title_">Response Time Percentiles over Time (OK)</span>',
  useHTML: true
});

var container_requests = unpack([[1616162085,[3,0, 3]],[1616162086,[1,0, 1]],[1616162087,[1,0, 1]],[1616162088,[1,0, 1]],[1616162089,[1,0, 1]],[1616162090,[2,0, 2]],[1616162091,[3,0, 3]],[1616162092,[3,0, 3]],[1616162093,[3,0, 3]],[1616162094,[3,0, 3]],[1616162095,[3,0, 3]],[1616162096,[3,0, 3]],[1616162097,[3,0, 3]],[1616162098,[3,0, 3]],[1616162099,[3,0, 3]],[1616162100,[2,0, 2]],[1616162101,[4,0, 4]],[1616162102,[2,0, 2]],[1616162103,[0,0, 0]],[1616162104,[6,0, 6]],[1616162105,[2,0, 2]],[1616162106,[3,0, 3]],[1616162107,[2,0, 2]],[1616162108,[3,0, 3]],[1616162109,[0,0, 0]],[1616162110,[4,0, 4]],[1616162111,[5,0, 5]],[1616162112,[5,0, 5]],[1616162113,[5,0, 5]],[1616162114,[7,0, 7]],[1616162115,[7,0, 7]],[1616162116,[7,0, 7]],[1616162117,[9,0, 9]],[1616162118,[9,0, 9]],[1616162119,[9,0, 9]],[1616162120,[6,0, 6]],[1616162121,[4,0, 4]],[1616162122,[5,0, 5]],[1616162123,[10,0, 10]],[1616162124,[12,0, 12]],[1616162125,[18,0, 18]],[1616162126,[10,0, 10]],[1616162127,[18,0, 18]],[1616162128,[9,0, 9]],[1616162129,[21,0, 21]],[1616162130,[8,0, 8]],[1616162131,[0,0, 0]],[1616162132,[1,0, 1]],[1616162133,[0,0, 0]],[1616162134,[1,0, 1]],[1616162135,[0,0, 0]],[1616162136,[1,0, 1]],[1616162137,[0,0, 0]],[1616162138,[1,0, 1]]]);

var requestsChart = new Highcharts.StockChart({
  chart: {
    renderTo: 'container_requests',
    zoomType: 'x'
  },
  credits: { enabled: false },
  legend: {
    enabled: true,
    floating: true,
    itemDistance: 10,
    y: -285,
    borderWidth: 0,
    itemStyle: { fontWeight: "normal" }
  },
  title: { text: 'A title to let highcharts reserve the place for the title set later' },
  rangeSelector: {
    buttonSpacing: 0,
    buttonTheme: {
      fill: 'LightGrey',
      padding: 1,
      stroke: 'Black',
      'stroke-width': 0.25,
      style: {
        color: 'Black',
        fontWeight: 'bold',
      },
      states: {
        stroke: 'Black',
        'stroke-width': 0.25,
        hover: {
          fill: 'DarkGrey',
          style: { color: 'black' }
         },
         select: {
          fill: 'DarkOrange',
          style: { color: 'white' }
        }
      }
    },
    buttons : [
      {
        type : 'minute',
        count : 1,
        text : '1m'
      }, {
        type : 'minute',
        count : 10,
        text : '10m'
      }, {
        type : 'hour',
        count : 1,
        text : '1h'
      }, {
        type : 'all',
        count : 1,
        text : 'All'
      }
    ],
    selected : 3,
    inputEnabled : false
  },
  plotOptions: {
    series: {
      dataGrouping: { enabled: false }
    },
    area: {
      stacking: 'normal'
    }
  },
  xAxis: {
    type: 'datetime',
    ordinal: false,
    maxZoom: 10000 // three days
  },
  yAxis:[
    {
      min: 0,
      title: {
        text: 'Number of requests',
        style: { color: '#4572A7' }
      },
      opposite: false
    }, {
      min: 0,
      title: {
        text: 'Active Users',
        style: { color: '#FF9D00' }
      },
      opposite: true
    }
  ],
  series: [
    {
color: '#4572A7',
name: 'All',
data: container_requests[0],
tooltip: { yDecimals: 0, ySuffix: '', valueDecimals: 0 }
,type: 'area'},
    allUsersData
  ]
});

requestsChart.setTitle({
  text: '<span class="chart_title">Number of requests per second</span>',
  useHTML: true
});

var container_responses = unpack([[1616162085,[0,0, 0]],[1616162086,[3,0, 3]],[1616162087,[1,0, 1]],[1616162088,[1,0, 1]],[1616162089,[1,0, 1]],[1616162090,[1,0, 1]],[1616162091,[3,0, 3]],[1616162092,[3,0, 3]],[1616162093,[3,0, 3]],[1616162094,[3,0, 3]],[1616162095,[3,0, 3]],[1616162096,[3,0, 3]],[1616162097,[4,0, 4]],[1616162098,[2,0, 2]],[1616162099,[4,0, 4]],[1616162100,[2,0, 2]],[1616162101,[3,0, 3]],[1616162102,[2,0, 2]],[1616162103,[2,0, 2]],[1616162104,[4,0, 4]],[1616162105,[2,0, 2]],[1616162106,[3,0, 3]],[1616162107,[3,0, 3]],[1616162108,[3,0, 3]],[1616162109,[1,0, 1]],[1616162110,[2,0, 2]],[1616162111,[4,0, 4]],[1616162112,[5,0, 5]],[1616162113,[5,0, 5]],[1616162114,[6,0, 6]],[1616162115,[7,0, 7]],[1616162116,[7,0, 7]],[1616162117,[8,0, 8]],[1616162118,[8,0, 8]],[1616162119,[10,0, 10]],[1616162120,[9,0, 9]],[1616162121,[4,0, 4]],[1616162122,[6,0, 6]],[1616162123,[7,0, 7]],[1616162124,[8,0, 8]],[1616162125,[15,0, 15]],[1616162126,[16,0, 16]],[1616162127,[10,0, 10]],[1616162128,[17,0, 17]],[1616162129,[10,0, 10]],[1616162130,[22,0, 22]],[1616162131,[2,0, 2]],[1616162132,[0,0, 0]],[1616162133,[1,0, 1]],[1616162134,[0,0, 0]],[1616162135,[1,0, 1]],[1616162136,[0,0, 0]],[1616162137,[1,0, 1]],[1616162138,[1,0, 1]]]);

var requestsChart = new Highcharts.StockChart({
  chart: {
    renderTo: 'container_responses',
    zoomType: 'x'
  },
  credits: { enabled: false },
  legend: {
    enabled: true,
    floating: true,
    itemDistance: 10,
    y: -285,
    borderWidth: 0,
    itemStyle: { fontWeight: "normal" }
  },
  title: { text: 'A title to let highcharts reserve the place for the title set later' },
  rangeSelector: {
    buttonSpacing: 0,
    buttonTheme: {
      fill: 'LightGrey',
      padding: 1,
      stroke: 'Black',
      'stroke-width': 0.25,
      style: {
        color: 'Black',
        fontWeight: 'bold',
      },
      states: {
        stroke: 'Black',
        'stroke-width': 0.25,
        hover: {
          fill: 'DarkGrey',
          style: { color: 'black' }
         },
         select: {
          fill: 'DarkOrange',
          style: { color: 'white' }
        }
      }
    },
    buttons : [
      {
        type : 'minute',
        count : 1,
        text : '1m'
      }, {
        type : 'minute',
        count : 10,
        text : '10m'
      }, {
        type : 'hour',
        count : 1,
        text : '1h'
      }, {
        type : 'all',
        count : 1,
        text : 'All'
      }
    ],
    selected : 3,
    inputEnabled : false
  },
  plotOptions: {
    series: {
      dataGrouping: { enabled: false }
    },
    area: {
      stacking: 'normal'
    }
  },
  xAxis: {
    type: 'datetime',
    ordinal: false,
    maxZoom: 10000 // three days
  },
  yAxis:[
    {
      min: 0,
      title: {
        text: 'Number of responses',
        style: { color: '#4572A7' }
      },
      opposite: false
    }, {
      min: 0,
      title: {
        text: 'Active Users',
        style: { color: '#FF9D00' }
      },
      opposite: true
    }
  ],
  series: [
    {
color: '#4572A7',
name: 'All',
data: container_responses[0],
tooltip: { yDecimals: 0, ySuffix: '', valueDecimals: 0 }
},
{
color: '#FF0000',
name: 'KO',
data: container_responses[1],
tooltip: { yDecimals: 0, ySuffix: '', valueDecimals: 0 }
,type: 'area'},
{
color: '#A0B228',
name: 'OK',
data: container_responses[2],
tooltip: { yDecimals: 0, ySuffix: '', valueDecimals: 0 }
,type: 'area'},
    allUsersData,
{
  
type: 'pie',
name: 'Distribution',
data: [
  {name: 'OK', y: 252.0, color: '#A0B228'},{name: 'KO', y: 0.0, color: '#FF0000'}
],
center: [775, -40],
size: 70,
showInLegend: false,
dataLabels: { enabled: false },
dataGrouping: { enabled: false }

}

  ]
});

requestsChart.setTitle({
  text: '<span class="chart_title">Number of responses per second</span>',
  useHTML: true
});

    });
</script>
</body>
</html>
